Index: /code/branches/presentation3/src/libraries/network/ChatListener.h
===================================================================
--- /code/branches/presentation3/src/libraries/network/ChatListener.h	(revision 7038)
+++ /code/branches/presentation3/src/libraries/network/ChatListener.h	(revision 7039)
@@ -38,5 +38,5 @@
     {
         public:
-	    /* constructor, destructor */
+            /* constructor, destructor */
             ChatListener();
             virtual ~ChatListener() {}
Index: /code/branches/presentation3/src/modules/designtools/CreateStars.cc
===================================================================
--- /code/branches/presentation3/src/modules/designtools/CreateStars.cc	(revision 7038)
+++ /code/branches/presentation3/src/modules/designtools/CreateStars.cc	(revision 7039)
@@ -121,5 +121,5 @@
         XMLPortParam(CreateStars, "radiusDiff", setRadiusDiff, getRadiusDiff, xmlelement, mode);
         XMLPortParam(CreateStars, "radius", setRadius, getRadius, xmlelement, mode);
-	}
+    }
 
 }
Index: /code/branches/presentation3/src/modules/designtools/ScreenshotManager.cc
===================================================================
--- /code/branches/presentation3/src/modules/designtools/ScreenshotManager.cc	(revision 7038)
+++ /code/branches/presentation3/src/modules/designtools/ScreenshotManager.cc	(revision 7039)
@@ -25,6 +25,6 @@
         mDisableOverlays  = overlayFlag;
         //get current window size
-        mWindowWidth	 = pRenderWindow->getWidth();
-        mWindowHeight	 = pRenderWindow->getHeight();
+        mWindowWidth   = pRenderWindow->getWidth();
+        mWindowHeight  = pRenderWindow->getHeight();
         //create temporary texture
         mTempTex = Ogre::TextureManager::getSingleton().createManual("ScreenShotTex", 
@@ -64,5 +64,5 @@
         //set the viewport settings
         Ogre::Viewport *vp = mRT->getViewport(0);
-        vp->setClearEveryFrame(true);	
+        vp->setClearEveryFrame(true);  
         vp->setOverlaysEnabled(false);
 
@@ -78,5 +78,5 @@
             // Simple case where the contents of the screen are taken directly
             // Also used when an invalid value is passed within gridSize (zero or negative grid size)
-            mRT->update();		//render
+            mRT->update();    //render
 
             //write the file on the Harddisk
@@ -91,6 +91,6 @@
             
             // compute the Stepsize for the drid
-            Ogre::Real frustumGridStepHorizontal	= (originalFrustumRight * 2) / mGridSize;
-            Ogre::Real frustumGridStepVertical	= (originalFrustumTop * 2) / mGridSize;
+            Ogre::Real frustumGridStepHorizontal  = (originalFrustumRight * 2) / mGridSize;
+            Ogre::Real frustumGridStepVertical  = (originalFrustumTop * 2) / mGridSize;
 
             // process each grid
@@ -103,8 +103,8 @@
                 // Shoggoth frustum extents setting
                 // compute the new frustum extents
-                frustumLeft		= originalFrustumLeft + frustumGridStepHorizontal * x;
-                frustumRight	= frustumLeft + frustumGridStepHorizontal;
-                frustumTop		= originalFrustumTop - frustumGridStepVertical * y;
-                frustumBottom	= frustumTop - frustumGridStepVertical;
+                frustumLeft    = originalFrustumLeft + frustumGridStepHorizontal * x;
+                frustumRight  = frustumLeft + frustumGridStepHorizontal;
+                frustumTop    = originalFrustumTop - frustumGridStepVertical * y;
+                frustumBottom  = frustumTop - frustumGridStepVertical;
                 
                 // set the frustum extents value to the camera
@@ -113,5 +113,5 @@
                 // ignore time duration between frames
                 Ogre::Root::getSingletonPtr()->clearEventTimes();
-                mRT->update();		//render
+                mRT->update();    //render
                 
                 //define the current 
Index: /code/branches/presentation3/src/modules/designtools/ScreenshotManager.h
===================================================================
--- /code/branches/presentation3/src/modules/designtools/ScreenshotManager.h	(revision 7038)
+++ /code/branches/presentation3/src/modules/designtools/ScreenshotManager.h	(revision 7039)
@@ -40,5 +40,5 @@
       
     protected:
-        std::string	 mFileExtension;
+        std::string    mFileExtension;
         unsigned int   mGridSize, mWindowWidth, mWindowHeight;
         bool           mDisableOverlays;
Index: /code/branches/presentation3/src/modules/designtools/SkyboxGenerator.cc
===================================================================
--- /code/branches/presentation3/src/modules/designtools/SkyboxGenerator.cc	(revision 7038)
+++ /code/branches/presentation3/src/modules/designtools/SkyboxGenerator.cc	(revision 7039)
@@ -151,9 +151,9 @@
         }
     }
-	
-	void SkyboxGenerator::createSkybox( ) 
-	{
+
+    void SkyboxGenerator::createSkybox( ) 
+    {
         SkyboxGenerator::getInstance().takeScreenshot_ = true;
         CommandExecutor::execute("pause");
-	}
+    }
 }
Index: /code/branches/presentation3/src/modules/pickup/items/ShieldPickup.h
===================================================================
--- /code/branches/presentation3/src/modules/pickup/items/ShieldPickup.h	(revision 7038)
+++ /code/branches/presentation3/src/modules/pickup/items/ShieldPickup.h	(revision 7039)
@@ -50,6 +50,6 @@
         A Pickup which can add a Shield to the Pawn.
 
-	1) The percentage: The percentage the shield takes from the damage dealt to a Pawn
-	2) The hit points: The amount of damage points a shield can teake before collapsing
+        1) The percentage: The percentage the shield takes from the damage dealt to a Pawn
+        2) The hit points: The amount of damage points a shield can teake before collapsing
         3) The activation type: 'immediate' or 'onUse'. defines if the item is used when it's picked up or only after the player chooses to use it.
         4) The duration: the activation time of the pickup.
Index: /code/branches/presentation3/src/modules/weapons/RocketController.h
===================================================================
--- /code/branches/presentation3/src/modules/weapons/RocketController.h	(revision 7038)
+++ /code/branches/presentation3/src/modules/weapons/RocketController.h	(revision 7039)
@@ -49,21 +49,21 @@
         public:
             RocketController(BaseObject* creator);
-			virtual ~RocketController();
+            virtual ~RocketController();
             
             virtual void tick(float dt);
-			SimpleRocket* getRocket() const
+            SimpleRocket* getRocket() const
              {  return this->rocket_;  };
-			void setTarget(WorldEntity* target);
+            void setTarget(WorldEntity* target);
         protected:
-			void moveToPosition(const Vector3& target);
-			void setTargetPosition();
-			void moveToTargetPosition();
+            void moveToPosition(const Vector3& target);
+            void setTargetPosition();
+            void moveToTargetPosition();
 
         private:
-			SimpleRocket* rocket_; //!<The Rocket it controlls
-			Vector3 targetPosition_;
-			WeakPtr<PlayerInfo> player_;
-						
-			WeakPtr<WorldEntity> target_;
+            SimpleRocket* rocket_; //!<The Rocket it controlls
+            Vector3 targetPosition_;
+            WeakPtr<PlayerInfo> player_;
+                        
+            WeakPtr<WorldEntity> target_;
 
 
Index: /code/branches/presentation3/src/modules/weapons/projectiles/SimpleRocket.h
===================================================================
--- /code/branches/presentation3/src/modules/weapons/projectiles/SimpleRocket.h	(revision 7038)
+++ /code/branches/presentation3/src/modules/weapons/projectiles/SimpleRocket.h	(revision 7039)
@@ -51,5 +51,5 @@
             SimpleRocket(BaseObject* creator);
             virtual ~SimpleRocket();
-			virtual void tick(float dt);
+            virtual void tick(float dt);
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a SimpleRocket through XML.
 
@@ -66,5 +66,5 @@
             virtual void rotatePitch(const Vector2& value);
             virtual void rotateRoll(const Vector2& value);
-			void setDestroy();
+            void setDestroy();
 
             /**
@@ -99,5 +99,5 @@
             inline void rotatePitch(float value)
             {   
-				this->rotatePitch(Vector2(value, 0)); }
+                this->rotatePitch(Vector2(value, 0)); }
             /**
             @brief Rotates the SimpleRocket around the z-axis by the specifed amount.
@@ -106,5 +106,5 @@
             inline void rotateRoll(float value)
             { 
-				this->rotateRoll(Vector2(value, 0)); }
+                this->rotateRoll(Vector2(value, 0)); }
 
             void setOwner(Pawn* owner);
Index: /code/branches/presentation3/src/orxonox/Level.h
===================================================================
--- /code/branches/presentation3/src/orxonox/Level.h	(revision 7038)
+++ /code/branches/presentation3/src/orxonox/Level.h	(revision 7039)
@@ -57,5 +57,5 @@
             void playerEntered(PlayerInfo* player);
             void playerLeft(PlayerInfo* player);
-			
+
             MeshLodInformation* getLodInfo(std::string meshName) const;
 
Index: /code/branches/presentation3/src/orxonox/graphics/MeshLodInformation.cc
===================================================================
--- /code/branches/presentation3/src/orxonox/graphics/MeshLodInformation.cc	(revision 7038)
+++ /code/branches/presentation3/src/orxonox/graphics/MeshLodInformation.cc	(revision 7039)
@@ -41,5 +41,5 @@
 
     MeshLodInformation::MeshLodInformation(BaseObject* creator) 
-	: BaseObject(creator), lodLevel_(5), bEnabled_(true), numLevels_(10), reductionRate_(0.15)
+    : BaseObject(creator), lodLevel_(5), bEnabled_(true), numLevels_(10), reductionRate_(0.15)
     {
         RegisterObject(MeshLodInformation);
@@ -62,24 +62,24 @@
     std::string MeshLodInformation::getMeshName()
     {
-		return MeshLodInformation::getMeshSource();
+        return MeshLodInformation::getMeshSource();
     }
-	
-	void MeshLodInformation::setLodLevel(float lodLevel)
-	{
+    
+    void MeshLodInformation::setLodLevel(float lodLevel)
+    {
         if(lodLevel>=0)
-		    lodLevel_=lodLevel;
-	}
-	float MeshLodInformation::getLodLevel()
-	{
-		return lodLevel_;
-	} 
-	void MeshLodInformation::setMeshSource(std::string meshSource)
-	{
-		meshSource_ = meshSource;
-	}
-	std::string MeshLodInformation::getMeshSource()
-	{
-		return meshSource_;
-	}
+            lodLevel_=lodLevel;
+    }
+    float MeshLodInformation::getLodLevel()
+    {
+        return lodLevel_;
+    } 
+    void MeshLodInformation::setMeshSource(std::string meshSource)
+    {
+        meshSource_ = meshSource;
+    }
+    std::string MeshLodInformation::getMeshSource()
+    {
+        return meshSource_;
+    }
  
 }
Index: /code/branches/presentation3/src/orxonox/worldentities/Drone.cc
===================================================================
--- /code/branches/presentation3/src/orxonox/worldentities/Drone.cc	(revision 7038)
+++ /code/branches/presentation3/src/orxonox/worldentities/Drone.cc	(revision 7039)
@@ -1,8 +1,2 @@
-
-
-
-
-
-
 /*
  *   ORXONOX - the hottest 3D action shooter ever to exist
@@ -47,5 +41,5 @@
     Drone::Drone(BaseObject* creator) : Pawn(creator)
     {
-	RegisterObject(Drone);
+        RegisterObject(Drone);
 
         this->myController_ = 0;
@@ -80,7 +74,7 @@
         SUPER(Drone, XMLPort, xmlelement, mode);
 
-	XMLPortParam(Drone, "primaryThrust_", setPrimaryThrust, getPrimaryThrust, xmlelement, mode);
-	XMLPortParam(Drone, "auxilaryThrust_", setAuxilaryThrust, getAuxilaryThrust, xmlelement, mode);
-	XMLPortParam(Drone, "rotationThrust_", setRotationThrust, getRotationThrust, xmlelement, mode);
+        XMLPortParam(Drone, "primaryThrust_", setPrimaryThrust, getPrimaryThrust, xmlelement, mode);
+        XMLPortParam(Drone, "auxilaryThrust_", setAuxilaryThrust, getAuxilaryThrust, xmlelement, mode);
+        XMLPortParam(Drone, "rotationThrust_", setRotationThrust, getRotationThrust, xmlelement, mode);
         XMLPortParam(Drone, "maxDistanceToOwner_", setMaxDistanceToOwner, getMaxDistanceToOwner, xmlelement, mode);
         XMLPortParam(Drone, "minDistanceToOwner_", setMinDistanceToOwner, getMinDistanceToOwner, xmlelement, mode);
Index: /code/branches/presentation3/src/orxonox/worldentities/Drone.h
===================================================================
--- /code/branches/presentation3/src/orxonox/worldentities/Drone.h	(revision 7038)
+++ /code/branches/presentation3/src/orxonox/worldentities/Drone.h	(revision 7039)
@@ -114,17 +114,17 @@
             inline void setMinDistanceToOwner( float distance)
                 { this->minDistanceToOwner_=distance; }
-                	
+
             
             /**
             @brief Gets the primary thrust to the input amount.
-            @preturn The amount of thrust.
+            @return The amount of thrust.
             */
             inline float getPrimaryThrust()
                 { return this->primaryThrust_; }
-	    inline float getAuxilaryThrust()
+            inline float getAuxilaryThrust()
                 { return this->auxilaryThrust_; }
-	    inline float getRotationThrust()
+            inline float getRotationThrust()
                 { return this->rotationThrust_; }
-	    inline float getMaxDistanceToOwner()
+            inline float getMaxDistanceToOwner()
                 { return this->maxDistanceToOwner_; }
             inline float getMinDistanceToOwner()