Index: trunk/src/defs/class_id.h
===================================================================
--- trunk/src/defs/class_id.h	(revision 7040)
+++ trunk/src/defs/class_id.h	(revision 7041)
@@ -172,35 +172,36 @@
   CL_WATER                      =    0x00000308,
   CL_PLANET                     =    0x00000309,
+  CL_BUILDING                   =    0x00000310,
 
   // Playables
-  CL_SPACE_SHIP                 =    0x0000030a,
-  CL_HELICOPTER                 =    0x0000030b,
-  CL_SPAWNING_POINT             =    0x0000030c,
-  CL_MD2_CREATURE               =    0x0000030d,
-  CL_HOVER                      =    0x0000030e,
-  CL_TURBINE_HOVER              =    0x0000030f,
+  CL_SPACE_SHIP                 =    0x0000035a,
+  CL_HELICOPTER                 =    0x0000035b,
+  CL_SPAWNING_POINT             =    0x0000035c,
+  CL_MD2_CREATURE               =    0x0000035d,
+  CL_HOVER                      =    0x0000035e,
+  CL_TURBINE_HOVER              =    0x0000035f,
 
   // Powerups
-  CL_TURRET_POWER_UP            =    0x00000311,
-  CL_LASER_POWER_UP             =    0x00000312,
-  CL_WEAPON_POWER_UP            =    0x00000313,
-  CL_PARAM_POWER_UP             =    0x00000314,
+  CL_TURRET_POWER_UP            =    0x00000381,
+  CL_LASER_POWER_UP             =    0x00000382,
+  CL_WEAPON_POWER_UP            =    0x00000383,
+  CL_PARAM_POWER_UP             =    0x00000384,
 
   // Weapons
-  CL_TEST_GUN                   =    0x00000330,
-  CL_TURRET                     =    0x00000331,
-  CL_AIMING_TURRET              =    0x00000332,
-  CL_CANNON                     =    0x00000333,
-  CL_TARGETING_TURRET           =    0x00000334,
-  CL_HYPERBLASTER               =    0x00000335,
+  CL_TEST_GUN                   =    0x000003a0,
+  CL_TURRET                     =    0x000003a1,
+  CL_AIMING_TURRET              =    0x000003a2,
+  CL_CANNON                     =    0x000003a3,
+  CL_TARGETING_TURRET           =    0x000003a4,
+  CL_HYPERBLASTER               =    0x000003a5,
 
   // Projectiles
-  CL_TEST_BULLET                =    0x00000340,
-  CL_ROCKET                     =    0x00000341,
-  CL_LASER                      =    0x00000342,
-  CL_BOMB                       =    0x00000343,
-  CL_GROUND_TURRET              =    0x00000344,
-  CL_GUIDED_MISSILE             =    0x00000345,
-  CL_HYPERBLAST                 =    0x00000346,
+  CL_TEST_BULLET                =    0x000003e0,
+  CL_ROCKET                     =    0x000003e1,
+  CL_LASER                      =    0x000003e2,
+  CL_BOMB                       =    0x000003e3,
+  CL_GROUND_TURRET              =    0x000003e4,
+  CL_GUIDED_MISSILE             =    0x000003e5,
+  CL_HYPERBLAST                 =    0x000003e6,
 
   // NPC's
Index: trunk/src/world_entities/Makefile.am
===================================================================
--- trunk/src/world_entities/Makefile.am	(revision 7040)
+++ trunk/src/world_entities/Makefile.am	(revision 7041)
@@ -62,4 +62,5 @@
                   world_entities/environments/water.cc \
                   world_entities/environments/model_entity.cc \
+                  world_entities/environments/building.cc \
                   \
                   world_entities/elements/image_entity.cc \
@@ -124,4 +125,5 @@
                  world_entities/environments/water.h \
                  world_entities/environments/model_entity.h \
+                 world_entities/environments/building.h \
                  \
                  world_entities/elements/image_entity.h \
Index: trunk/src/world_entities/environments/building.cc
===================================================================
--- trunk/src/world_entities/environments/building.cc	(revision 7041)
+++ trunk/src/world_entities/environments/building.cc	(revision 7041)
@@ -0,0 +1,48 @@
+/*
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific:
+   main-programmer: Benjamin Grauer
+   co-programmer: ...
+*/
+
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_WORLD_ENTITY
+
+#include "building.h"
+
+#include "load_param.h"
+#include "factory.h"
+
+using namespace std;
+
+
+CREATE_FACTORY(Building, CL_BUILDING);
+
+/**
+ *  initializes a skybox from a XmlElement
+*/
+Building::Building(const TiXmlElement* root)
+{
+  this->setClassID(CL_BUILDING, "Building");
+  this->toList(OM_ENVIRON_NOTICK);
+
+  if (root != NULL)
+    this->loadParams(root);
+}
+
+
+/**
+ *  default destructor
+*/
+Building::~Building()
+{
+}
+
+
Index: trunk/src/world_entities/environments/building.h
===================================================================
--- trunk/src/world_entities/environments/building.h	(revision 7041)
+++ trunk/src/world_entities/environments/building.h	(revision 7041)
@@ -0,0 +1,27 @@
+/*!
+ * @file building.h
+ *  Definition of the Building, that handles the Display of an atmosphere for orxonox.
+ */
+
+#ifndef _BUILDING_H
+#define _BUILDING_H
+
+/* INCLUDES */
+#include "world_entity.h"
+
+/* FORWARD DECLARATION */
+
+//! A Class to handle a Building
+class Building : public WorldEntity
+{
+ public:
+  Building(const TiXmlElement* root);
+
+  virtual ~Building();
+
+};
+
+#endif  /* _BUILDING_H */
+
+
+