Index: /code/branches/fps/data/levels/presentation_FS10_ed.oxw
===================================================================
--- /code/branches/fps/data/levels/presentation_FS10_ed.oxw	(revision 7059)
+++ /code/branches/fps/data/levels/presentation_FS10_ed.oxw	(revision 7059)
@@ -0,0 +1,170 @@
+<?lua
+  include("hudtemplates3.oxo")
+  include("stats.oxo")
+  include("templates/spaceship_assff.oxt")
+  include("templates/spaceship_H2.oxt")
+  include("templates/fps.oxt")
+?>
+
+<Level
+ name         = "fps"
+ description  = "tests"
+>
+  <Scene
+   ambientlight = "0.1, 0.1, 0.1"
+   skybox       = "Orxonox/skypanoramagen1"
+   gravity      = "0,-1000,0"
+   negativeWorldRange = "(-100000, -100000, -100000)"
+   positiveWorldRange = "( 100000,  100000,  100000)"
+   hasPhysics   = true
+  >
+    <Light type=directional position="0,-100000,0" direction="0.02, -1, 0.05" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
+
+  <Pawn health=100 position="600,35,0" direction="0,-1,0" collisionType=dynamic mass=100000>
+      <attached>
+        <Model position="0,0,0" mesh="crate.mesh" scale3D="5,5,5" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="25,25,25" />
+      </collisionShapes>
+  </Pawn>
+ 
+  <Pawn health=100 position="0,-35,0" direction="0,-1,0" collisionType=dynamic mass=100000>
+      <attached>
+        <Model position="0,0,0" mesh="crate.mesh" scale3D="5,5,5" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="25,25,25" />
+      </collisionShapes>
+  </Pawn>
+ 
+  <StaticEntity position="0,-50,0" direction="0,-1,0" collisionType=static mass=100000 >
+      <attached>
+        <Model position="0,0,0" mesh="cube.mesh" scale3D="100,100,10" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="100,100,10" />
+      </collisionShapes>
+  </StaticEntity>
+
+   <StaticEntity position="210,-30,0" direction="0,-1,0" collisionType=static mass=100000 >
+      <attached>
+        <Model position="0,0,0" mesh="cube_orange.mesh" scale3D="100,100,10" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="100,100,10" />
+      </collisionShapes>
+  </StaticEntity>
+ 
+   <StaticEntity position="600,-20,0" direction="0,-1,0" collisionType=static mass=100000 >
+      <attached>
+        <Model position="0,0,0" mesh="cube_green.mesh" scale3D="100,100,10" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="100,100,10" />
+      </collisionShapes>
+  </StaticEntity>
+
+<StaticEntity position="600,10,120" direction="0,-1,1" collisionType=static mass=100000 >
+      <attached>
+        <Model position="0,0,0" mesh="cube_red.mesh" scale3D="100,100,10" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="100,100,10" />
+      </collisionShapes>
+  </StaticEntity>
+ 
+  <StaticEntity position="600,40,250" direction="0,-1,0" collisionType=static mass=100000 >
+      <attached>
+        <Model position="0,0,0" mesh="cube.mesh" scale3D="100,100,10" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="100,100,10" />
+      </collisionShapes>
+  </StaticEntity>
+ 
+ 
+   <StaticEntity position="6000,0,10250" direction="0,0,0" collisionType=static mass=100000 >
+      <attached>
+        <Model position="0,0,0" mesh="cube_green.mesh" scale3D="10000,10,10000" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="10000,10,10000" />
+      </collisionShapes>
+  </StaticEntity>
+  
+  <Pawn health=100 position="530,70,1450" direction="-1,0,0" collisionType=dynamic mass=1 >
+      <attached>
+        <Model position="0,0,0" mesh="cube_red.mesh" scale3D="60,60,10" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="60,60,10" />
+      </collisionShapes>
+  </Pawn>
+  
+  <Pawn health=100 position="670,70,1450" direction="-1,0,0" collisionType=dynamic mass=1 >
+      <attached>
+        <Model position="0,0,0" mesh="cube_red.mesh" scale3D="60,60,10" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="60,60,10" />
+      </collisionShapes>
+  </Pawn>
+  
+   <Pawn health=100 position="600,70,1500" direction="0,0,-1" collisionType=dynamic mass=1 >
+      <attached>
+        <Model position="0,0,0" mesh="cube_red.mesh" scale3D="60,60,10" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="60,60,10" />
+      </collisionShapes>
+  </Pawn>
+  
+   <Pawn health=100 position="600,150,1450" direction="0,-1,0" collisionType=dynamic mass=1 >
+      <attached>
+        <Model position="0,0,0" mesh="cube.mesh" scale3D="90,80,10" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="90,80,10" />
+      </collisionShapes>
+  </Pawn>
+  
+  <Pawn health=100 position="600,35,1450" direction="0,-1,0" collisionType=dynamic mass=1 >
+      <attached>
+        <Model position="0,0,0" mesh="crate.mesh" scale3D="5,5,5" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="25,25,25" />
+      </collisionShapes>
+  </Pawn>
+ 
+
+  <SpawnPoint position="0,300,0" direction="0, 0, 0" lookat="0,0,100000000" spawnclass=FpsPlayer pawndesign=fps />
+
+
+<?lua
+for i = 1, 100, 1
+do
+j = math.random()
+g = math.random()
+h = math.random()
+?>
+  <Pawn position="<?lua print( (math.random()+10) * 1000 - 9800) ?>,<?lua print(math.random()) ?>,<?lua print( (math.random()+10) * 2000 - 19500) ?>" direction="<?lua print( (math.random()+10) * 10 - 100) ?>,<?lua print(math.random()) ?>,<?lua print(math.random()) ?>" collisionType=dynamic linearDamping=0.8 angularDamping=0 mass=<?lua print(j * 100)?> >
+      <attached>
+        <Model position="0,0,0" scale3D="<?lua print(j*100) ?>,<?lua print(g*100) ?>,<?lua print(h*100) ?>" mesh="cube<?lua
+	if math.mod(i,4)==0 then print('_green') end
+	if math.mod(i,4)==1 then print('_red') end
+	if math.mod(i,4)==2 then print('_orange') end
+	?>.mesh" /> <!--if it's 3, cube.mesh is taken -> yellow -->
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="<?lua print(j*100) ?>,<?lua print(g*100) ?>,<?lua print(h*100) ?>" />
+      </collisionShapes>
+  </Pawn>
+<?lua
+end
+?>
+
+
+  </Scene>
+</Level>