Index: code/branches/presentation3/data/levels/gametype_dynamicmatch.oxw
===================================================================
--- code/branches/presentation3/data/levels/gametype_dynamicmatch.oxw	(revision 7062)
+++ code/branches/presentation3/data/levels/gametype_dynamicmatch.oxw	(revision 7063)
@@ -57,7 +57,7 @@
                 createSpaceStationPar(0,2,1,2,1,4,1,50)
               ?>
-                <TeamSpawnPoint team=2 position="20,20,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipghost/>
-                <TeamSpawnPoint team=2 position="-20,-20,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipghost/>
-                <TeamSpawnPoint team=2 position="-10,10,20" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipghost/>
+                <TeamSpawnPoint team=2 position="20,20,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff/>
+                <TeamSpawnPoint team=2 position="-20,-20,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff/>
+                <TeamSpawnPoint team=2 position="-10,10,20" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff/>
             </attached>
           </StaticEntity>
Index: code/branches/presentation3/src/orxonox/gametypes/Dynamicmatch.cc
===================================================================
--- code/branches/presentation3/src/orxonox/gametypes/Dynamicmatch.cc	(revision 7062)
+++ code/branches/presentation3/src/orxonox/gametypes/Dynamicmatch.cc	(revision 7063)
@@ -82,6 +82,4 @@
 	this->pointsPerTime=0.0f;
         this->setHUDTemplate("DynamicmatchHUD");
-        this->allowDeath=false;
-        this->notYet=true;
     }
 
@@ -121,10 +119,4 @@
                 setPlayerColour(victim->getPlayer());		//victim's new colour
                 numberOf[piggy]++;				//party switch: number of players is not affected (decrease and increase)
-
-                if (target == killer)
-                {
-                     allowDeath=true;
-                     victim->kill(); //new ship
-                }
 
                     if(tutorial)				//announce party switch
@@ -143,6 +135,5 @@
                         setPlayerColour(originator->getPlayer());		//originator's new colour
                         numberOf[killer]++;
-                        allowDeath=true;
-                        originator->kill(); //new ship for killer
+
                         if(tutorial)				//announce party switch
                         {
@@ -175,6 +166,5 @@
                 numberOf[killer]++;				//party switch: number of players is not affected (decrease and increase)
 
-                allowDeath=true;
-                originator->kill(); //new ship
+
                 if(tutorial)				//announce party switch
                 {
@@ -195,7 +185,4 @@
                 setPlayerColour(victim->getPlayer()); 		//victim colour
                 numberOf[chaser]++;				//party switch: number of players is not affected (decrease and increase)
-                
-                allowDeath=true;
-                victim->kill(); //new ship
 
                 if(tutorial)					//announce party switch
@@ -279,10 +266,4 @@
             setPlayerColour(originator->getPlayer());		//originator colour
 
-            notYet=false;
-            allowDeath=true;
-            victim->kill(); //new ship
-            originator->kill(); //new ship
-
-
             if(tutorial) //Announce pary switch
             {
@@ -318,12 +299,4 @@
     bool Dynamicmatch::allowPawnDeath(Pawn* victim, Pawn* originator)
     {	
-        if (allowDeath)//Hack for Ghost-Spaceship
-        {
-          if (notYet)
-          {allowDeath=false;}
-          else
-          {notYet=true;}
-         return true;
-        }
         //killers can kill chasers and killers can be killed by chasers
         if ((playerParty_[originator->getPlayer()] == killer && playerParty_[victim->getPlayer()] == chaser)||(playerParty_[victim->getPlayer()] == killer &&
@@ -395,5 +368,5 @@
         {   pointsPerTime =pointsPerTime + dt;
             gameTime_ = gameTime_ - dt;
-            if (pointsPerTime > 3.0f)//hard coded!! should be changed
+            if (pointsPerTime > 2.0f)//hard coded!! should be changed
             {
                 pointsPerTime=0.0f;
Index: code/branches/presentation3/src/orxonox/gametypes/Dynamicmatch.h
===================================================================
--- code/branches/presentation3/src/orxonox/gametypes/Dynamicmatch.h	(revision 7062)
+++ code/branches/presentation3/src/orxonox/gametypes/Dynamicmatch.h	(revision 7063)
@@ -79,6 +79,4 @@
         protected:
 
-            bool allowDeath;
-            bool notYet;
             std::map< PlayerInfo*, int > playerParty_; //player's parties are recorded here
             std::vector<ColourValue> partyColours_; //aus TeamDeathmatch