Index: code/branches/fps/src/orxonox/worldentities/pawns/FpsPlayer.cc
===================================================================
--- code/branches/fps/src/orxonox/worldentities/pawns/FpsPlayer.cc	(revision 7059)
+++ code/branches/fps/src/orxonox/worldentities/pawns/FpsPlayer.cc	(revision 7070)
@@ -51,6 +51,6 @@
 namespace orxonox
 {
-    const float orientationGain = 100;
-    const float jumpvalue = 300;
+    const float orientationGain_ = 100;
+    const float jumpValue_ = 300;
     CreateFactory(FpsPlayer);
 
@@ -86,8 +86,7 @@
         this->registerVariables();
 
-	this->weaponNode = this->cameraPositionRootNode_;
-	//this->weaponNode = this->getScene()->getRootSceneNode()->createChildSceneNode();
-	//this->weaponNode = this->cameraPositionRootNode_->createChildSceneNode();
-        this->attachNode(this->weaponNode);
+	//this->weaponNode = this->cameraPositionRootNode_;
+	this->weaponNode_ = this->getScene()->getRootSceneNode()->createChildSceneNode();
+	this->attachNode(this->weaponNode_);
     }
 
@@ -113,5 +112,5 @@
         registerVariable(this->auxilaryThrust_, VariableDirection::ToClient);
         registerVariable(this->rotationThrust_, VariableDirection::ToClient);
-	registerVariable(this->weaponmashname);
+	registerVariable(this->weaponMashName_);
     }
     
@@ -141,5 +140,5 @@
             this->setOrientation(savedOrientation_);
 	    
-	    thistickboost=false;
+	    thisTickBoost_=false;
 	    
 	    float localSpeedSquared = this->localVelocity_.squaredLength();
@@ -153,5 +152,5 @@
             this->localVelocity_.z *= localSpeed;
 	    Vector3 temp = this->getOrientation() * this->localVelocity_;
-	    if(localVelocity_.y==jumpvalue) this->setVelocity(Vector3(temp.x, temp.y + this->getVelocity().y, temp.z));
+	    if(localVelocity_.y==jumpValue_) this->setVelocity(Vector3(temp.x, temp.y + this->getVelocity().y, temp.z));
 	    else this->setVelocity(Vector3(temp.x, this->getVelocity().y, temp.z));
             this->localVelocity_.x = 0;
@@ -165,14 +164,11 @@
 		Radian pitch=this->cameraPositionRootNode_->getOrientation().getPitch();
 		if( pitch<Radian(1.5707) && pitch>Radian(-1.5707) ) {
-			//this->weaponNode->pitch(Radian(this->pitch_ * this->getMouseLookSpeed()));
 			this->cameraPositionRootNode_->pitch(Radian(this->pitch_ * this->getMouseLookSpeed()));
 			}
 		else if(pitch<Radian(-1.5707)){
 			if(this->pitch_>0.0) {
-				//this->weaponNode->pitch(Radian(this->pitch_ * this->getMouseLookSpeed()));
 				this->cameraPositionRootNode_->pitch(Radian(this->pitch_ * this->getMouseLookSpeed()));
 				}
 			else if(pitch<Radian(-1.571)){
-				//this->weaponNode->pitch(-pitch+Radian(-1.570796));
 				this->cameraPositionRootNode_->pitch(-pitch+Radian(-1.570796));
 				}
@@ -180,13 +176,11 @@
 		else if(pitch>Radian(1.5707)){
 			if(this->pitch_<0.0) {
-				//this->weaponNode->pitch(Radian(this->pitch_ * this->getMouseLookSpeed()));
 				this->cameraPositionRootNode_->pitch(Radian(this->pitch_ * this->getMouseLookSpeed()));
 				}
 			else if(pitch>Radian(1.571)){ 
-				//this->weaponNode->pitch(-pitch+Radian(1.570796));
 				this->cameraPositionRootNode_->pitch(-pitch+Radian(1.570796));
 				}
 		}
-		//this->weaponNode->setOrientation(this->cameraPositionRootNode_->getOrientation());
+		this->weaponNode_->setOrientation(this->cameraPositionRootNode_->getOrientation());
 		
 	    }
@@ -194,6 +188,4 @@
             this->yaw_ = this->pitch_ = this->roll_ = 0;
 	    
-	    //Quaternion q=this->getOrientation();
-	    //if( q.y<0.99 ) this->setOrientation(q.w, q.x, 1.0, q.z);
 	    this->setAngularVelocity(0.0, 0.0, 0.0);
 	    savedOrientation_=this->getOrientation();
@@ -208,5 +200,5 @@
         {
             if (this->mesh_.getEntity())
-                this->weaponNode->detachObject(this->mesh_.getEntity());
+                this->weaponNode_->detachObject(this->mesh_.getEntity());
 
             this->mesh_.setMeshSource(this->getScene()->getSceneManager(), this->meshSrc_);
@@ -214,5 +206,5 @@
             if (this->mesh_.getEntity())
             {
-                this->weaponNode->attachObject(this->mesh_.getEntity());
+                this->weaponNode_->attachObject(this->mesh_.getEntity());
             }
         }
@@ -274,9 +266,9 @@
     void FpsPlayer::boost()					//acctually jump
     {
-        if(isfloor) { 
-		if(!thistickboost) this->localVelocity_.y = jumpvalue;
+        if(isFloor_) { 
+		if(!thisTickBoost_) this->localVelocity_.y = jumpValue_;
 		//this->physicalBody_->applyCentralImpulse(btVector3(0, jumpvalue, 0));
-		thistickboost=true;
-		isfloor=false;
+		thisTickBoost_=true;
+		isFloor_=false;
 	}
     }
@@ -284,6 +276,6 @@
     bool FpsPlayer::collidesAgainst(WorldEntity* otherObject, btManifoldPoint& contactPoint)
     {
-	if(contactPoint.m_normalWorldOnB.y() > 0.6) isfloor=true;
-	else isfloor=false;
+	if(contactPoint.m_normalWorldOnB.y() > 0.6) isFloor_=true;
+	else isFloor_=false;
 	
 	return false;
@@ -299,5 +291,5 @@
 	        weapon->getWeaponSlot()->removeWeapon();
 	        weapon->detachFromParent();
-		weapon->attachToNode(this->weaponNode);
+		weapon->attachToNode(this->weaponNode_);
 	    }
 	}
Index: code/branches/fps/src/orxonox/worldentities/pawns/FpsPlayer.h
===================================================================
--- code/branches/fps/src/orxonox/worldentities/pawns/FpsPlayer.h	(revision 7059)
+++ code/branches/fps/src/orxonox/worldentities/pawns/FpsPlayer.h	(revision 7070)
@@ -84,5 +84,5 @@
             float auxilaryThrust_;
             float rotationThrust_;
-	    std::string weaponmashname;
+	    std::string weaponMashName_;
             btVector3 localLinearAcceleration_;
             btVector3 localAngularAcceleration_;
@@ -99,10 +99,9 @@
             float roll_;
             Vector3 localVelocity_;
-	    bool isfloor;
-	    bool thistickboost;
+	    bool isFloor_;
+	    bool thisTickBoost_;
 	    Quaternion savedOrientation_;
-	    Ogre::SceneNode* weaponNode;
-	    Ogre::Camera* camera_;
-    };
+	    Ogre::SceneNode* weaponNode_;
+	};
 }
 