Index: code/branches/presentation3/data/levels/fps_test.oxw
===================================================================
--- code/branches/presentation3/data/levels/fps_test.oxw	(revision 7073)
+++ code/branches/presentation3/data/levels/fps_test.oxw	(revision 7073)
@@ -0,0 +1,149 @@
+<?lua
+  include("hudtemplates3.oxo")
+  include("stats.oxo")
+  include("templates/spaceship_assff.oxt")
+  include("templates/spaceship_H2.oxt")
+  include("templates/fps.oxt")
+?>
+
+<Level
+ name         = "fps"
+ description  = "tests"
+>
+  <Scene
+   ambientlight = "0.1, 0.1, 0.1"
+   skybox       = "Orxonox/skypanoramagen1"
+   gravity      = "0,-1000,0"
+   negativeWorldRange = "(-100000, -100000, -100000)"
+   positiveWorldRange = "( 100000,  100000,  100000)"
+   hasPhysics   = true
+  >
+    <Light type=directional position="0,-100000,0" direction="0.02, -1, 0.05" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
+
+  <StaticEntity position="0,-10000,0" direction="0,-1,0" collisionType=static mass=100000 friction=0.01 >
+      <attached>
+        <Model position="0,0,0" mesh="cube.mesh" scale3D="10000,10000,1000" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="10000,10000,1000" />
+      </collisionShapes>
+  </StaticEntity>
+
+<?lua
+for i = 1, 10, 1
+do ?>
+    <SpawnPoint position="<?lua print(math.random() * 1000 - 500) ?>,100,<?lua print(math.random() * 1000 - 500) ?>" direction="-1, 0, 0" lookat="0,0,0" spawnclass=FpsPlayer pawndesign=fps />
+<?lua
+end
+?>
+
+
+<?lua
+for i = 1, 200, 1
+do
+j = math.random()
+?>
+  <MovableEntity position="<?lua print(math.random() * 5000-2000) ?>,<?lua print(math.random() * 5000-2000) ?>,<?lua print(math.random() * 5000 - 2000) ?>" collisionType=dynamic linearDamping=0.8 angularDamping=0 mass=<?lua print(j * 100) ?> scale=<?lua print(j * 5) ?> rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>" >
+      <attached>
+        <Model position="0,0,0" scale=<?lua print(j * 10) ?> mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" />
+      </attached>
+      <collisionShapes>
+        <SphereCollisionShape radius="<?lua print(j * 100) ?>" />
+      </collisionShapes>
+  </MovableEntity>
+<?lua
+end
+?>
+
+  </Scene>
+</Level>
+<!--
+<Level
+ name         = "fps test"
+ description  = "level to test fps navigation"
+>
+  <Scene
+   ambientlight = "0.5, 0.5, 0.5"
+   skybox       = "Orxonox/skypanoramagen1"
+  >
+    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
+
+
+<?lua
+for i = 1, 10, 1
+do ?>
+    <SpawnPoint position="<?lua print(math.random() * 1000 - 500) ?>,0,<?lua print(math.random() * 1000 - 500) ?>" lookat="0,0,0" spawnclass=FpsPlayer pawndesign=fps />
+<?lua
+end
+?>
+
+    <GlobalShader compositor="Bloom" visible=false>
+      <events>
+        <visibility>
+          <DistanceTrigger position="0,0,0" distance=30 target="Spectator" switch=true />
+        </visibility>
+      </events>
+    </GlobalShader>
+
+
+<?lua
+for i = 1, 100, 1
+do
+j = math.random()
+?>
+
+    <MovableEntity position="<?lua print(math.random() * 5000-2000) ?>,<?lua print(math.random() * 5000-2000) ?>,<?lua print(math.random() * 5000 - 2000) ?>" collisionType=dynamic linearDamping=0.8 angularDamping=0 mass=<?lua print(j * 50) ?> scale=<?lua print(j * 5) ?> rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>">
+      <attached>
+        <Model position="0,0,0" scale=<?lua print(j * 10) ?> mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" />
+      </attached>
+      <collisionShapes>
+        <SphereCollisionShape radius="<?lua print(j * 70) ?>" />
+      </collisionShapes>
+    </MovableEntity>
+<?lua
+end
+?>
+
+<!--
+<?lua
+for i = 1, 70, 1
+do ?>
+  <MovableEntity position="<?lua print(math.random() * 6000 - 3000)?>, <?lua print(math.random() * 6000 - 3000) ?>, <?lua print(math.random() * 1000 + 3000) ?>" rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>">
+    <attached>
+      <Model scale="<?lua print(math.random() * 30 + 10) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" shadow=false />
+    </attached>
+  </MovableEntity>
+  <MovableEntity position="<?lua print(math.random() * 6000 - 3000)?>, <?lua print(math.random() * 6000 - 3000) ?>, <?lua print(math.random() * -1000 - 3000) ?>" rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>">
+    <attached>
+      <Model scale="<?lua print(math.random() * 30 + 10) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" shadow=false />
+    </attached>
+  </MovableEntity>
+
+  <MovableEntity position="<?lua print(math.random() * 6000 - 3000)?>, <?lua print(math.random() * 1000 + 3000) ?>, <?lua print(math.random() * 6000 - 3000) ?>" rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>">
+    <attached>
+      <Model scale="<?lua print(math.random() * 30 + 10) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" shadow=false />
+    </attached>
+  </MovableEntity>
+  <MovableEntity position="<?lua print(math.random() * 6000 - 3000)?>, <?lua print(math.random() * -1000 - 3000) ?>, <?lua print(math.random() * 6000 - 3000) ?>" rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>">
+    <attached>
+      <Model scale="<?lua print(math.random() * 30 + 10) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" shadow=false />
+    </attached>
+  </MovableEntity>
+
+  <MovableEntity position="<?lua print(math.random() * 1000 + 3000)?>, <?lua print(math.random() * 6000 - 3000) ?>, <?lua print(math.random() * 6000 - 3000) ?>" rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>">
+    <attached>
+      <Model scale="<?lua print(math.random() * 30 + 10) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" shadow=false />
+    </attached>
+  </MovableEntity>
+  <MovableEntity position="<?lua print(math.random() * -1000 - 3000)?>, <?lua print(math.random() * 6000 - 3000) ?>, <?lua print(math.random() * 6000 - 3000) ?>" rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>">
+    <attached>
+      <Model scale="<?lua print(math.random() * 30 + 10) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" shadow=false />
+    </attached>
+  </MovableEntity>
+<?lua
+end
+?>
+
+  </Scene>
+</Level>
+-->
Index: code/branches/presentation3/data/levels/includes/weaponsettings_fps.oxi
===================================================================
--- code/branches/presentation3/data/levels/includes/weaponsettings_fps.oxi	(revision 7073)
+++ code/branches/presentation3/data/levels/includes/weaponsettings_fps.oxi	(revision 7073)
@@ -0,0 +1,49 @@
+    <weaponslots>
+      <WeaponSlot position="0,0,0" yaw=0 pitch=0 roll=0 />
+ <!--      <WeaponSlot position="-0.5,0.8,2.5" yaw=0 pitch=0 roll=0 />
+      <WeaponSlot position="15,-1.5,-25" yaw=0 pitch=0 roll=0 />
+      <WeaponSlot position="0,0,-45" yaw=0 pitch=0 roll=0 /> -->
+    </weaponslots>
+    <weaponsets>
+      <WeaponSet firemode=0 />
+      <WeaponSet firemode=1 />
+    </weaponsets>
+    <weapons>
+      <WeaponPack firemode=0>
+	<links>
+          <DefaultWeaponmodeLink firemode=0 weaponmode=0 />
+          <DefaultWeaponmodeLink firemode=1 weaponmode=1 />
+          <DefaultWeaponmodeLink firemode=2 weaponmode=2 />
+        </links>
+	<Weapon>
+	   <HsW01 mode=0 munitionpershot=0 delay=0.0 material="Flares/point_lensflare" muzzleoffset=" 0.7, -0.3, -3" />
+           <LightningGun mode=1 muzzleoffset="0,0,0" />
+        </Weapon>
+        <LaserGun
+            position="0,0,0"
+            munitionType="LaserGunMunition"
+            bulletLoadingTime="0.2"
+            magazineLoadingTime="5.0"
+            speed="1000"
+            unlimitedMunition=true
+        />
+  <!--       <LaserGun
+            position="0,0,0"
+            munitionType="LaserGunMunition"
+            bulletLoadingTime="0.2"
+            magazineLoadingTime="5.0"
+            speed="1250"
+            unlimitedMunition=true
+        />
+      </WeaponPack>
+      <WeaponPack firemode=1>
+        <Fusion
+            position="0,0,0"
+            munitionType="FusionMunition"
+            bulletLoadingTime="0.3"
+            magazineLoadingTime="3"
+            speed="600"
+            unlimitedMunition=true
+        /> -->
+      </WeaponPack>
+    </weapons>
Index: code/branches/presentation3/data/levels/presentation_FS10.oxw
===================================================================
--- code/branches/presentation3/data/levels/presentation_FS10.oxw	(revision 7073)
+++ code/branches/presentation3/data/levels/presentation_FS10.oxw	(revision 7073)
@@ -0,0 +1,96 @@
+<?lua
+  include("hudtemplates3.oxo")
+  include("stats.oxo")
+  include("templates/spaceship_assff.oxt")
+  include("templates/spaceship_H2.oxt")
+  include("templates/fps.oxt")
+?>
+
+<Level
+ name         = "fps"
+ description  = "tests"
+>
+  <Scene
+   ambientlight = "0.1, 0.1, 0.1"
+   skybox       = "Orxonox/skypanoramagen1"
+   gravity      = "0,-1000,0"
+   negativeWorldRange = "(-100000, -100000, -100000)"
+   positiveWorldRange = "( 100000,  100000,  100000)"
+   hasPhysics   = true
+  >
+    <Light type=directional position="0,-100000,0" direction="0.02, -1, 0.05" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
+
+  <Pawn health=100 position="600,35,0" direction="0,-1,0" collisionType=dynamic mass=100000>
+      <attached>
+        <Model position="0,0,0" mesh="fish.mesh" scale3D="5,5,5" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="25,25,25" />
+      </collisionShapes>
+  </Pawn>
+  
+  <Pawn health=100 position="0,-35,0" direction="0,-1,0" collisionType=dynamic mass=100000>
+      <attached>
+        <Model position="0,0,0" mesh="crate.mesh" scale3D="5,5,5" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="25,25,25" />
+      </collisionShapes>
+  </Pawn>
+  
+  <StaticEntity position="0,-50,0" direction="0,-1,0" collisionType=static mass=100000 >
+      <attached>
+        <Model position="0,0,0" mesh="cube.mesh" scale3D="100,100,10" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="100,100,10" />
+      </collisionShapes>
+  </StaticEntity>
+
+   <StaticEntity position="210,-30,0" direction="0,-1,0" collisionType=static mass=100000 >
+      <attached>
+        <Model position="0,0,0" mesh="cube_orange.mesh" scale3D="100,100,10" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="100,100,10" />
+      </collisionShapes>
+  </StaticEntity>
+  
+   <StaticEntity position="600,-20,0" direction="0,-1,0" collisionType=static mass=100000 >
+      <attached>
+        <Model position="0,0,0" mesh="cube_green.mesh" scale3D="100,100,10" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="100,100,10" />
+      </collisionShapes>
+  </StaticEntity>
+
+<StaticEntity position="600,10,120" direction="0,-1,1" collisionType=static mass=100000 >
+      <attached>
+        <Model position="0,0,0" mesh="cube_red.mesh" scale3D="100,100,10" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="100,100,10" />
+      </collisionShapes>
+  </StaticEntity>
+  
+  <StaticEntity position="600,40,250" direction="0,-1,0" collisionType=static mass=100000 >
+      <attached>
+        <Model position="0,0,0" mesh="cube.mesh" scale3D="100,100,10" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="100,100,10" />
+      </collisionShapes>
+  </StaticEntity>
+  
+<?lua
+for i = 1, 10, 1
+do ?>
+    <SpawnPoint position="0,300,0" direction="0, 0, 0" lookat="0,0,100000000" spawnclass=FpsPlayer pawndesign=fps />
+<?lua
+end
+?>
+
+
+  </Scene>
+</Level>
Index: code/branches/presentation3/data/levels/presentation_FS10_ed.oxw
===================================================================
--- code/branches/presentation3/data/levels/presentation_FS10_ed.oxw	(revision 7073)
+++ code/branches/presentation3/data/levels/presentation_FS10_ed.oxw	(revision 7073)
@@ -0,0 +1,170 @@
+<?lua
+  include("hudtemplates3.oxo")
+  include("stats.oxo")
+  include("templates/spaceship_assff.oxt")
+  include("templates/spaceship_H2.oxt")
+  include("templates/fps.oxt")
+?>
+
+<Level
+ name         = "fps"
+ description  = "tests"
+>
+  <Scene
+   ambientlight = "0.1, 0.1, 0.1"
+   skybox       = "Orxonox/skypanoramagen1"
+   gravity      = "0,-1000,0"
+   negativeWorldRange = "(-100000, -100000, -100000)"
+   positiveWorldRange = "( 100000,  100000,  100000)"
+   hasPhysics   = true
+  >
+    <Light type=directional position="0,-100000,0" direction="0.02, -1, 0.05" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
+
+  <Pawn health=100 position="600,35,0" direction="0,-1,0" collisionType=dynamic mass=100000>
+      <attached>
+        <Model position="0,0,0" mesh="crate.mesh" scale3D="5,5,5" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="25,25,25" />
+      </collisionShapes>
+  </Pawn>
+ 
+  <Pawn health=100 position="0,-35,0" direction="0,-1,0" collisionType=dynamic mass=100000>
+      <attached>
+        <Model position="0,0,0" mesh="crate.mesh" scale3D="5,5,5" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="25,25,25" />
+      </collisionShapes>
+  </Pawn>
+ 
+  <StaticEntity position="0,-50,0" direction="0,-1,0" collisionType=static mass=100000 >
+      <attached>
+        <Model position="0,0,0" mesh="cube.mesh" scale3D="100,100,10" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="100,100,10" />
+      </collisionShapes>
+  </StaticEntity>
+
+   <StaticEntity position="210,-30,0" direction="0,-1,0" collisionType=static mass=100000 >
+      <attached>
+        <Model position="0,0,0" mesh="cube_orange.mesh" scale3D="100,100,10" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="100,100,10" />
+      </collisionShapes>
+  </StaticEntity>
+ 
+   <StaticEntity position="600,-20,0" direction="0,-1,0" collisionType=static mass=100000 >
+      <attached>
+        <Model position="0,0,0" mesh="cube_green.mesh" scale3D="100,100,10" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="100,100,10" />
+      </collisionShapes>
+  </StaticEntity>
+
+<StaticEntity position="600,10,120" direction="0,-1,1" collisionType=static mass=100000 >
+      <attached>
+        <Model position="0,0,0" mesh="cube_red.mesh" scale3D="100,100,10" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="100,100,10" />
+      </collisionShapes>
+  </StaticEntity>
+ 
+  <StaticEntity position="600,40,250" direction="0,-1,0" collisionType=static mass=100000 >
+      <attached>
+        <Model position="0,0,0" mesh="cube.mesh" scale3D="100,100,10" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="100,100,10" />
+      </collisionShapes>
+  </StaticEntity>
+ 
+ 
+   <StaticEntity position="6000,0,10250" direction="0,0,0" collisionType=static mass=100000 >
+      <attached>
+        <Model position="0,0,0" mesh="cube_green.mesh" scale3D="10000,10,10000" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="10000,10,10000" />
+      </collisionShapes>
+  </StaticEntity>
+  
+  <Pawn health=100 position="530,70,1450" direction="-1,0,0" collisionType=dynamic mass=1 >
+      <attached>
+        <Model position="0,0,0" mesh="cube_red.mesh" scale3D="60,60,10" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="60,60,10" />
+      </collisionShapes>
+  </Pawn>
+  
+  <Pawn health=100 position="670,70,1450" direction="-1,0,0" collisionType=dynamic mass=1 >
+      <attached>
+        <Model position="0,0,0" mesh="cube_red.mesh" scale3D="60,60,10" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="60,60,10" />
+      </collisionShapes>
+  </Pawn>
+  
+   <Pawn health=100 position="600,70,1500" direction="0,0,-1" collisionType=dynamic mass=1 >
+      <attached>
+        <Model position="0,0,0" mesh="cube_red.mesh" scale3D="60,60,10" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="60,60,10" />
+      </collisionShapes>
+  </Pawn>
+  
+   <Pawn health=100 position="600,150,1450" direction="0,-1,0" collisionType=dynamic mass=1 >
+      <attached>
+        <Model position="0,0,0" mesh="cube.mesh" scale3D="90,80,10" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="90,80,10" />
+      </collisionShapes>
+  </Pawn>
+  
+  <Pawn health=100 position="600,35,1450" direction="0,-1,0" collisionType=dynamic mass=1 >
+      <attached>
+        <Model position="0,0,0" mesh="crate.mesh" scale3D="5,5,5" />
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="25,25,25" />
+      </collisionShapes>
+  </Pawn>
+ 
+
+  <SpawnPoint position="0,300,0" direction="0, 0, 0" lookat="0,0,100000000" spawnclass=FpsPlayer pawndesign=fps />
+
+
+<?lua
+for i = 1, 100, 1
+do
+j = math.random()
+g = math.random()
+h = math.random()
+?>
+  <Pawn position="<?lua print( (math.random()+10) * 1000 - 9800) ?>,<?lua print(math.random()) ?>,<?lua print( (math.random()+10) * 2000 - 19500) ?>" direction="<?lua print( (math.random()+10) * 10 - 100) ?>,<?lua print(math.random()) ?>,<?lua print(math.random()) ?>" collisionType=dynamic linearDamping=0.8 angularDamping=0 mass=<?lua print(j * 100)?> >
+      <attached>
+        <Model position="0,0,0" scale3D="<?lua print(j*100) ?>,<?lua print(g*100) ?>,<?lua print(h*100) ?>" mesh="cube<?lua
+	if math.mod(i,4)==0 then print('_green') end
+	if math.mod(i,4)==1 then print('_red') end
+	if math.mod(i,4)==2 then print('_orange') end
+	?>.mesh" /> <!--if it's 3, cube.mesh is taken -> yellow -->
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="<?lua print(j*100) ?>,<?lua print(g*100) ?>,<?lua print(h*100) ?>" />
+      </collisionShapes>
+  </Pawn>
+<?lua
+end
+?>
+
+
+  </Scene>
+</Level>
Index: code/branches/presentation3/data/levels/templates/fps.oxt
===================================================================
--- code/branches/presentation3/data/levels/templates/fps.oxt	(revision 7073)
+++ code/branches/presentation3/data/levels/templates/fps.oxt	(revision 7073)
@@ -0,0 +1,55 @@
+<Template name=fps>
+  <FpsPlayer
+   hudtemplate            = fpshud
+   
+   spawnparticlesource    = "Orxonox/fairytwirl"
+   spawnparticleduration  = 3
+   explosionchunks        = 6
+
+   health            = 100
+   maxhealth         = 200
+   initialhealth     = 100
+
+   primaryThrust     = 0;
+   auxilaryThrust    = 0;
+   rotationThrust    = 0;
+
+   collisionType     = "dynamic"
+   mass              = 100
+   linearDamping     = 0.7
+   angularDamping    = 0.9999999
+   friction	     = 0.01
+   
+   weapon            = "hs-w01.mesh"
+  >
+    <collisionShapes>
+      <BoxCollisionShape position="0,-20,0" halfExtents="15,25,15" />
+    </collisionShapes>
+    
+    <camerapositions>
+      <CameraPosition position="-1,1,2.2" drag=false mouselook=true />
+    </camerapositions>
+    
+    <?lua
+	include("includes/weaponsettings_fps.oxi")
+    ?>
+
+  </FpsPlayer>
+</Template>
+<!--
+<Template name=fpscamera defaults=0>
+  <FpsPlayer>
+    <camerapositions>
+      <CameraPosition position="0,0,20" drag=false mouselook=true />
+      
+      <!--
+      CameraPosition position="0,150,-25" pitch=-90 drag=true />
+      <CameraPosition position="0,0,-40" yaw=180 drag=true />
+      <CameraPosition position="0,3,-14" yaw=0 />
+      <CameraPosition position="-50,5,-8" yaw=-90 drag=true />
+      <CameraPosition position="50,5,-8" yaw=90 drag=true /
+      
+    </camerapositions>
+  </FpsPlayer>
+</Template>
+-->
Index: code/branches/presentation3/data/overlays/hudtamplates_fps.oxo
===================================================================
--- code/branches/presentation3/data/overlays/hudtamplates_fps.oxo	(revision 7073)
+++ code/branches/presentation3/data/overlays/hudtamplates_fps.oxo	(revision 7073)
@@ -0,0 +1,82 @@
+<Template name="spectatorhud">
+  <OverlayGroup name = "spectatorhud" scale = "1, 1">
+  </OverlayGroup>
+</Template>
+
+<Template name="fpshud">
+  <OverlayGroup name = "fpshud" scale = "1, 1">
+    <Map />
+
+    <HUDHealthBar
+     name              = "HealthBar1"
+     background        = "Orxonox/HealthBarBackground"
+     size              = "0.35, 0.0875"
+     position          = "0.0 , 0.95 "
+     pickpoint         = "0, 1"
+     bartexture        = "healthbar_bar.tga"
+     textfont          = "VeraMono"
+     textusebarcolour  = true
+     textsize          = 0.039
+     textoffset        = "0.315, 0.05"
+     textpickpoint     = "0, 0"
+     textalign         = "right"
+     correctaspect     = false
+     textcorrectaspect = false
+    >
+      <BarColour position = 0.0 colour = "0.7,0.2,0.2" />
+      <BarColour position = 0.5 colour = "0.7,0.7,0.2" />
+      <BarColour position = 1.0 colour = "0.2,0.7,0.2" />
+    </HUDHealthBar>
+
+ <!--   <HUDSpeedBar
+     name          = "SpeedBar1"
+     background    = "Orxonox/BarBackground"
+     size          = "0.35, 0.05"
+     position      = "0.0 , 1.0 "
+     pickpoint     = "0, 1"
+     correctaspect = false
+    >
+      <BarColour position = 0.0 colour = "0.7,0.5,0.2" />
+      <BarColour position = 0.5 colour = "0.2,0.7,0.2" />
+      <BarColour position = 1.0 colour = "0.7,0.2,0.2" />
+    </HUDSpeedBar>
+-->
+    <HUDNavigation
+     name          = "Navigation"
+     correctaspect = true
+     font          = "Monofur"
+     textsize      = 0.05
+     navMarkerSize = 0.03
+     aimMarkerSize = 0.04
+    />
+
+    <HUDRadar
+     name          = "Radar"
+     background    = "Orxonox/Radar"
+     correctaspect = true
+     size          = "0.17, 0.17"
+     position      = "1.0, 1.0"
+     pickpoint     = "1.0, 1.0"
+     rotation      = 0
+     sensitivity   = 1.0
+     halfDotSizeDistance = 3000
+     maximumDotSize      = 0.1
+    />
+
+    <HUDTimer
+     name     = "Timer"
+     position = "0.5, 0.85"
+     font     = "VeraMono"
+     textsize = 0.1
+     colour   = "1.0, 1.0, 0.0, 0.8"
+     align    = "center"
+    />
+
+ <!--   <GUIOverlay
+      name = "QuestGUI"
+      guiname = "QuestGUI"
+      visible = "false"
+    />
+-->
+  </OverlayGroup>
+</Template>