Index: /code/branches/presentation3/src/orxonox/controllers/NewHumanController.cc
===================================================================
--- /code/branches/presentation3/src/orxonox/controllers/NewHumanController.cc	(revision 7074)
+++ /code/branches/presentation3/src/orxonox/controllers/NewHumanController.cc	(revision 7075)
@@ -216,9 +216,10 @@
                 {
                     if (this->getControllableEntity() && (this->getControllableEntity()->isExactlyA(ClassByString("SpaceShip")) || this->getControllableEntity()->isExactlyA(ClassByString("Rocket"))))
-                        {this->showOverlays();}
-			
-		    if (this->getControllableEntity() &&  this->getControllableEntity()->isExactlyA(ClassByString("FpsPlayer")))\
-			{this->showOverlays();
-			this->hideArrows();}
+                        this->showOverlays();
+                    else if (this->getControllableEntity() &&  this->getControllableEntity()->isExactlyA(ClassByString("FpsPlayer")))
+                    {
+                        this->showOverlays();
+                        this->hideArrows();
+                    }
 
                     this->crossHairOverlay_->setPosition(Vector2(static_cast<float>(this->currentYaw_)/2*-1+.5f-overlaySize_/2, static_cast<float>(this->currentPitch_)/2*-1+.5f-overlaySize_/2));
@@ -378,9 +379,9 @@
                 // Try to cast the user pointer
                 WorldEntity* wePtr = dynamic_cast<WorldEntity*>(Ogre::any_cast<OrxonoxClass*>(itr->movable->getUserAny()));
-                
+
                 // make sure we don't shoot ourselves
                 if( wePtr==myWe )
                     continue;
-                
+
                 if (wePtr)
                 {
@@ -592,7 +593,7 @@
         }
     }
-        
-
-    
+
+
+
 
 
Index: /code/branches/presentation3/src/orxonox/worldentities/pawns/FpsPlayer.cc
===================================================================
--- /code/branches/presentation3/src/orxonox/worldentities/pawns/FpsPlayer.cc	(revision 7074)
+++ /code/branches/presentation3/src/orxonox/worldentities/pawns/FpsPlayer.cc	(revision 7075)
@@ -60,5 +60,5 @@
         this->speed_ = 200;
         this->localVelocity_ = Vector3::ZERO;
-/* 
+/*
  *        this->primaryThrust_  = 100;
  *        this->auxilaryThrust_ =  30;
@@ -70,5 +70,5 @@
  *        this->bPermanentBoost_ = false;
  *        this->steering_ = Vector3::ZERO;
-*/      
+*/
 
 
@@ -86,12 +86,12 @@
         this->registerVariables();
 
-	//this->weaponNode = this->cameraPositionRootNode_;
-	this->weaponNode_ = this->getScene()->getRootSceneNode()->createChildSceneNode();
-	this->attachNode(this->weaponNode_);
+        //this->weaponNode = this->cameraPositionRootNode_;
+        this->weaponNode_ = this->getScene()->getRootSceneNode()->createChildSceneNode();
+        this->attachNode(this->weaponNode_);
     }
 
     FpsPlayer::~FpsPlayer()
     {
-	if (this->isInitialized() && this->mesh_.getEntity())
+        if (this->isInitialized() && this->mesh_.getEntity())
             this->detachOgreObject(this->mesh_.getEntity());
     }
@@ -100,9 +100,9 @@
     {
         SUPER(FpsPlayer, XMLPort, xmlelement, mode);
-        
+
         XMLPortParamVariable(FpsPlayer, "primaryThrust",  primaryThrust_,  xmlelement, mode);
         XMLPortParamVariable(FpsPlayer, "auxilaryThrust", auxilaryThrust_, xmlelement, mode);
         XMLPortParamVariable(FpsPlayer, "rotationThrust", rotationThrust_, xmlelement, mode);
-	XMLPortParam(FpsPlayer, "weapon", setMeshSource, getMeshSource, xmlelement, mode);
+        XMLPortParam(FpsPlayer, "weapon", setMeshSource, getMeshSource, xmlelement, mode);
     }
 
@@ -112,8 +112,8 @@
         registerVariable(this->auxilaryThrust_, VariableDirection::ToClient);
         registerVariable(this->rotationThrust_, VariableDirection::ToClient);
-	registerVariable(this->weaponMashName_);
-    }
-    
-   
+        registerVariable(this->weaponMashName_, VariableDirection::ToClient);
+    }
+
+
 
     void FpsPlayer::setConfigValues()
@@ -139,8 +139,8 @@
         {
             this->setOrientation(savedOrientation_);
-	    
-	    thisTickBoost_=false;
-	    
-	    float localSpeedSquared = this->localVelocity_.squaredLength();
+
+            this->thisTickBoost_ = false;
+
+            float localSpeedSquared = this->localVelocity_.squaredLength();
             float localSpeed;
             if (localSpeedSquared > 1.0)
@@ -151,7 +151,9 @@
             this->localVelocity_.x *= localSpeed;
             this->localVelocity_.z *= localSpeed;
-	    Vector3 temp = this->getOrientation() * this->localVelocity_;
-	    if(localVelocity_.y==jumpValue_) this->setVelocity(Vector3(temp.x, temp.y + this->getVelocity().y, temp.z));
-	    else this->setVelocity(Vector3(temp.x, this->getVelocity().y, temp.z));
+            Vector3 temp = this->getOrientation() * this->localVelocity_;
+            if (localVelocity_.y == jumpValue_)
+                this->setVelocity(Vector3(temp.x, temp.y + this->getVelocity().y, temp.z));
+            else
+                this->setVelocity(Vector3(temp.x, this->getVelocity().y, temp.z));
             this->localVelocity_.x = 0;
             this->localVelocity_.y = 0;
@@ -161,38 +163,36 @@
             {
                 this->yaw(Radian(this->yaw_ * this->getMouseLookSpeed()), WorldEntity::Parent);
-		
-		Radian pitch=this->cameraPositionRootNode_->getOrientation().getPitch();
-		if( pitch<Radian(1.5707) && pitch>Radian(-1.5707) ) {
-			this->cameraPositionRootNode_->pitch(Radian(this->pitch_ * this->getMouseLookSpeed()));
-			}
-		else if(pitch<Radian(-1.5707)){
-			if(this->pitch_>0.0) {
-				this->cameraPositionRootNode_->pitch(Radian(this->pitch_ * this->getMouseLookSpeed()));
-				}
-			else if(pitch<Radian(-1.571)){
-				this->cameraPositionRootNode_->pitch(-pitch+Radian(-1.570796));
-				}
-		}
-		else if(pitch>Radian(1.5707)){
-			if(this->pitch_<0.0) {
-				this->cameraPositionRootNode_->pitch(Radian(this->pitch_ * this->getMouseLookSpeed()));
-				}
-			else if(pitch>Radian(1.571)){ 
-				this->cameraPositionRootNode_->pitch(-pitch+Radian(1.570796));
-				}
-		}
-		this->weaponNode_->setOrientation(this->cameraPositionRootNode_->getOrientation());
-		
-	    }
+
+                Radian pitch = this->cameraPositionRootNode_->getOrientation().getPitch();
+                if (pitch < Radian(1.5707) && pitch > Radian(-1.5707))
+                {
+                    this->cameraPositionRootNode_->pitch(Radian(this->pitch_ * this->getMouseLookSpeed()));
+                }
+                else if (pitch < Radian(-1.5707))
+                {
+                    if (this->pitch_ > 0.0)
+                        this->cameraPositionRootNode_->pitch(Radian(this->pitch_ * this->getMouseLookSpeed()));
+                    else if (pitch < Radian(-1.571))
+                        this->cameraPositionRootNode_->pitch(-pitch + Radian(-1.570796));
+                }
+                else if (pitch > Radian(1.5707))
+                {
+                    if (this->pitch_ < 0.0)
+                        this->cameraPositionRootNode_->pitch(Radian(this->pitch_ * this->getMouseLookSpeed()));
+                    else if (pitch > Radian(1.571))
+                        this->cameraPositionRootNode_->pitch(-pitch + Radian(1.570796));
+                }
+                this->weaponNode_->setOrientation(this->cameraPositionRootNode_->getOrientation());
+            }
 
             this->yaw_ = this->pitch_ = this->roll_ = 0;
-	    
-	    this->setAngularVelocity(0.0, 0.0, 0.0);
-	    savedOrientation_=this->getOrientation();
+
+            this->setAngularVelocity(0.0, 0.0, 0.0);
+            this->savedOrientation_ = this->getOrientation();
         }
 
         SUPER(FpsPlayer, tick, dt);
     }
-    
+
     void FpsPlayer::changedMesh()
     {
@@ -222,5 +222,5 @@
         ControllableEntity::startLocalHumanControl();
     }
-    
+
     void FpsPlayer::moveFrontBack(const Vector2& value)
     {
@@ -263,35 +263,39 @@
     {
     }
-    
-    void FpsPlayer::boost()					//acctually jump
-    {
-        if(isFloor_) { 
-		if(!thisTickBoost_) this->localVelocity_.y = jumpValue_;
-		//this->physicalBody_->applyCentralImpulse(btVector3(0, jumpvalue, 0));
-		thisTickBoost_=true;
-		isFloor_=false;
-	}
+
+    void FpsPlayer::boost() //acctually jump
+    {
+        if (this->isFloor_)
+        {
+            if (!this->thisTickBoost_)
+                this->localVelocity_.y = jumpValue_;
+            //this->physicalBody_->applyCentralImpulse(btVector3(0, jumpvalue, 0));
+            this->thisTickBoost_ = true;
+            this->isFloor_ = false;
+        }
     }
 
     bool FpsPlayer::collidesAgainst(WorldEntity* otherObject, btManifoldPoint& contactPoint)
     {
-	if(contactPoint.m_normalWorldOnB.y() > 0.6) isFloor_=true;
-	else isFloor_=false;
-	
-	return false;
-    }
-    
+        if (contactPoint.m_normalWorldOnB.y() > 0.6)
+            this->isFloor_ = true;
+        else
+            this->isFloor_ = false;
+
+        return false;
+    }
+
     void FpsPlayer::addedWeaponPack(WeaponPack* wPack)
     {
         for (size_t i = 0; i < wPack->getNumWeapons(); ++i)
-	{
-	    Weapon* weapon = wPack->getWeapon(i);
-	    if (weapon->getWeaponSlot())
-	    {
-	        weapon->getWeaponSlot()->removeWeapon();
-	        weapon->detachFromParent();
-		weapon->attachToNode(this->weaponNode_);
-	    }
-	}
+        {
+            Weapon* weapon = wPack->getWeapon(i);
+            if (weapon->getWeaponSlot())
+            {
+                weapon->getWeaponSlot()->removeWeapon();
+                weapon->detachFromParent();
+                weapon->attachToNode(this->weaponNode_);
+            }
+        }
     }
 }
Index: /code/branches/presentation3/src/orxonox/worldentities/pawns/FpsPlayer.h
===================================================================
--- /code/branches/presentation3/src/orxonox/worldentities/pawns/FpsPlayer.h	(revision 7074)
+++ /code/branches/presentation3/src/orxonox/worldentities/pawns/FpsPlayer.h	(revision 7075)
@@ -58,19 +58,19 @@
             virtual void rotatePitch(const Vector2& value);
             virtual void rotateRoll(const Vector2& value);
-	    
-	    
+
+
             inline void setMeshSource(const std::string& meshname)
                 { this->meshSrc_ = meshname; this->changedMesh(); }
             inline const std::string& getMeshSource() const
                 { return this->meshSrc_; }
-	    
-	    void boost();						//acctually jump
+
+            void boost(); //acctually jump
 
             virtual void fire();
-	    
-	    bool collidesAgainst(WorldEntity* otherObject, btManifoldPoint& contactPoint);
 
-	    virtual void addedWeaponPack(WeaponPack* wPack);
-            
+            bool collidesAgainst(WorldEntity* otherObject, btManifoldPoint& contactPoint);
+
+            virtual void addedWeaponPack(WeaponPack* wPack);
+
         protected:
             virtual void setPlayer(PlayerInfo* player);
@@ -84,5 +84,5 @@
             float auxilaryThrust_;
             float rotationThrust_;
-	    std::string weaponMashName_;
+            std::string weaponMashName_;
             btVector3 localLinearAcceleration_;
             btVector3 localAngularAcceleration_;
@@ -92,16 +92,16 @@
             float speed_;
 
-	    void changedMesh();
-	    Mesh mesh_;
-	    std::string meshSrc_;
+            void changedMesh();
+            Mesh mesh_;
+            std::string meshSrc_;
             float yaw_;
             float pitch_;
             float roll_;
             Vector3 localVelocity_;
-	    bool isFloor_;
-	    bool thisTickBoost_;
-	    Quaternion savedOrientation_;
-	    Ogre::SceneNode* weaponNode_;
-	};
+            bool isFloor_;
+            bool thisTickBoost_;
+            Quaternion savedOrientation_;
+            Ogre::SceneNode* weaponNode_;
+    };
 }
 
Index: /code/branches/presentation3/src/orxonox/worldentities/pawns/Pawn.cc
===================================================================
--- /code/branches/presentation3/src/orxonox/worldentities/pawns/Pawn.cc	(revision 7074)
+++ /code/branches/presentation3/src/orxonox/worldentities/pawns/Pawn.cc	(revision 7075)
@@ -53,5 +53,5 @@
     CreateFactory(Pawn);
 
-    Pawn::Pawn(BaseObject* creator) 
+    Pawn::Pawn(BaseObject* creator)
         : ControllableEntity(creator)
         , RadarViewable(creator, static_cast<WorldEntity*>(this))
@@ -363,8 +363,8 @@
     {
         if (this->weaponSystem_)
-	{
+        {
             this->weaponSystem_->addWeaponPack(wPack);
-	    this->addedWeaponPack(wPack);
-	}
+            this->addedWeaponPack(wPack);
+        }
     }
 
@@ -372,10 +372,10 @@
     {
         if (this->weaponSystem_)
-	{
+        {
             if (!this->weaponSystem_->addWeaponPack(wPack))
                 wPack->destroy();
-	    else
+            else
                 this->addedWeaponPack(wPack);
-	}
+        }
     }
 
Index: /code/branches/presentation3/src/orxonox/worldentities/pawns/Pawn.h
===================================================================
--- /code/branches/presentation3/src/orxonox/worldentities/pawns/Pawn.h	(revision 7074)
+++ /code/branches/presentation3/src/orxonox/worldentities/pawns/Pawn.h	(revision 7075)
@@ -77,5 +77,5 @@
             inline float getShieldHealth()
             { return this->shieldHealth_; }
-            
+
             inline void setShieldAbsorption(float shieldAbsorption)
             { this->shieldAbsorption_ = shieldAbsorption; }
@@ -101,6 +101,6 @@
             void addWeaponPackXML(WeaponPack * wPack);
             WeaponPack * getWeaponPack(unsigned int index) const;
-	    
-	    virtual void addedWeaponPack(WeaponPack* wPack) {}
+
+            virtual void addedWeaponPack(WeaponPack* wPack) {}
 
             inline const WorldEntity* getWorldEntity() const
@@ -128,5 +128,5 @@
             Vector3 getAimPosition()
                 { return this->aimPosition_; }
-                
+
             virtual const Vector3& getCarrierPosition(void)
                 { return this->getWorldPosition(); };