Index: code/branches/presentation3/src/orxonox/gametypes/Dynamicmatch.cc
===================================================================
--- code/branches/presentation3/src/orxonox/gametypes/Dynamicmatch.cc	(revision 7075)
+++ code/branches/presentation3/src/orxonox/gametypes/Dynamicmatch.cc	(revision 7076)
@@ -80,5 +80,5 @@
         this->numberOf[killer]=0;
         this->tutorial=true;
-	this->pointsPerTime=0.0f;
+        this->pointsPerTime=0.0f;
         this->setHUDTemplate("DynamicmatchHUD");
     }
@@ -91,8 +91,8 @@
         static ColourValue colours[] =
         {
-            ColourValue(1.0f, 0.3f, 0.3f),	//chasercolour
-            ColourValue(0.3f, 0.3f, 1.0f),	//piggycolour
-            ColourValue(0.3f, 1.0f, 0.3f)	//killercolour  what about black: 0.0f, 0.0f, 0.0f
-            
+            ColourValue(1.0f, 0.3f, 0.3f),  //chasercolour
+            ColourValue(0.3f, 0.3f, 1.0f),  //piggycolour
+            ColourValue(0.3f, 1.0f, 0.3f)   //killercolour  what about black: 0.0f, 0.0f, 0.0f
+
         };
         static std::vector<ColourValue> defaultcolours(colours, colours + sizeof(colours) / sizeof(ColourValue));
@@ -102,5 +102,5 @@
 
     bool Dynamicmatch::allowPawnDamage(Pawn* victim, Pawn* originator)
-    {	//TODO: static and fading message for the "human" player's
+    { //TODO: static and fading message for the "human" player's
         if (!originator||!victim)
             return false;
@@ -115,10 +115,10 @@
             if (notEnoughPigs)
             {
-                numberOf[target]--;				//decrease numberof victims's party
-                playerParty_[victim->getPlayer()]=piggy;	//victim's new party: pig
-                setPlayerColour(victim->getPlayer());		//victim's new colour
-                numberOf[piggy]++;				//party switch: number of players is not affected (decrease and increase)
-
-                    if(tutorial)				//announce party switch
+                numberOf[target]--; //decrease numberof victims's party
+                playerParty_[victim->getPlayer()]=piggy; //victim's new party: pig
+                setPlayerColour(victim->getPlayer()); //victim's new colour
+                numberOf[piggy]++; //party switch: number of players is not affected (decrease and increase)
+
+                    if(tutorial) //announce party switch
                     {
                          std::map<PlayerInfo*, Player>::iterator it2 = this->players_.find(victim->getPlayer());
@@ -129,12 +129,12 @@
                          }
                     }
-                    if (notEnoughKillers) 			//reward the originator
+                    if (notEnoughKillers) //reward the originator
                     {
-                        numberOf[source]--;			//decrease numberof originator's party
-                        playerParty_[originator->getPlayer()]=killer;		//originator's new party: killer
-                        setPlayerColour(originator->getPlayer());		//originator's new colour
+                        numberOf[source]--; //decrease numberof originator's party
+                        playerParty_[originator->getPlayer()]=killer; //originator's new party: killer
+                        setPlayerColour(originator->getPlayer()); //originator's new colour
                         numberOf[killer]++;
 
-                        if(tutorial)				//announce party switch
+                        if(tutorial) //announce party switch
                         {
                              std::map<PlayerInfo*, Player>::iterator it3 = this->players_.find(originator->getPlayer());
@@ -146,6 +146,6 @@
                         }
                     }
-                evaluatePlayerParties(); 			//check if the party change has to trigger futher party changes
-			
+                evaluatePlayerParties(); //check if the party change has to trigger futher party changes
+
                 //Give new pig boost
                 SpaceShip* spaceship = dynamic_cast<SpaceShip*>(victim);
@@ -161,11 +161,11 @@
             else if (notEnoughKillers)
             {
-                numberOf[source]--; 	//decrease numberof originator's party
-                playerParty_[originator->getPlayer()]=killer; 	//originator's new party: killer
-                setPlayerColour(originator->getPlayer()); 	//originator colour
-                numberOf[killer]++;				//party switch: number of players is not affected (decrease and increase)
-
-
-                if(tutorial)				//announce party switch
+                numberOf[source]--; //decrease numberof originator's party
+                playerParty_[originator->getPlayer()]=killer; //originator's new party: killer
+                setPlayerColour(originator->getPlayer()); //originator colour
+                numberOf[killer]++; //party switch: number of players is not affected (decrease and increase)
+
+
+                if(tutorial) //announce party switch
                 {
                      std::map<PlayerInfo*, Player>::iterator it3 = this->players_.find(originator->getPlayer());
@@ -176,15 +176,15 @@
                      }
                 }
-                evaluatePlayerParties();			//check if the party change has to trigger futher party changes
+                evaluatePlayerParties(); //check if the party change has to trigger futher party changes
             }
             //Case: notEnoughChasers: party change
             else if (notEnoughChasers)
             {
-                numberOf[target]--; 	//decrease numberof victims's party
-                playerParty_[victim->getPlayer()]=chaser; 	//victim's new party: chaser
-                setPlayerColour(victim->getPlayer()); 		//victim colour
-                numberOf[chaser]++;				//party switch: number of players is not affected (decrease and increase)
-
-                if(tutorial)					//announce party switch
+                numberOf[target]--; //decrease numberof victims's party
+                playerParty_[victim->getPlayer()]=chaser; //victim's new party: chaser
+                setPlayerColour(victim->getPlayer()); //victim colour
+                numberOf[chaser]++; //party switch: number of players is not affected (decrease and increase)
+
+                if(tutorial) //announce party switch
                 {
                      std::map<PlayerInfo*, Player>::iterator it3 = this->players_.find(originator->getPlayer());
@@ -193,5 +193,5 @@
                           if (numberOf[killer]>0)
                               this->gtinfo_->sendStaticMessage("Shoot at the victim as often as possible. Defend yourself against the killers.",it3->first->getClientID(),partyColours_[piggy]);
-                              
+
                           else
                               this->gtinfo_->sendStaticMessage("Shoot at the victim as often as possible.",it3->first->getClientID(),partyColours_[piggy]);
@@ -199,5 +199,5 @@
                      }
                 }
-                evaluatePlayerParties();			//check if the party change has to trigger futher party changes
+                evaluatePlayerParties(); //check if the party change has to trigger futher party changes
             }
 
@@ -224,8 +224,8 @@
                 playerParty_[originator->getPlayer()]=chaser;
 
-                //party switch -> colour switch		
+                //party switch -> colour switch
                 setPlayerColour(victim->getPlayer()); //victim colour
                 setPlayerColour(originator->getPlayer());//originator colour
-                
+
                 //Announce pary switch
                 if(tutorial)
@@ -233,5 +233,5 @@
                      std::map<PlayerInfo*, Player>::iterator it = this->players_.find(originator->getPlayer());
                      if (it != this->players_.end())
-                     {    
+                     {
                           if (numberOf[killer]>0)
                               this->gtinfo_->sendStaticMessage("Shoot at the victim as often as possible. Defend yourself against the killers.",it->first->getClientID(), partyColours_[piggy]);
@@ -258,11 +258,11 @@
             }
             // killer vs piggy
-            else if (source==killer &&target==piggy)		//party and colour switch	
+            else if (source==killer &&target==piggy) //party and colour switch
             {
             playerParty_[victim->getPlayer()]=killer;
             playerParty_[originator->getPlayer()]=piggy;
 
-            setPlayerColour(victim->getPlayer()); 		//victim colour
-            setPlayerColour(originator->getPlayer());		//originator colour
+            setPlayerColour(victim->getPlayer()); //victim colour
+            setPlayerColour(originator->getPlayer()); //originator colour
 
             if(tutorial) //Announce pary switch
@@ -298,15 +298,15 @@
 
     bool Dynamicmatch::allowPawnDeath(Pawn* victim, Pawn* originator)
-    {	
+    {
         //killers can kill chasers and killers can be killed by chasers
         if ((playerParty_[originator->getPlayer()] == killer && playerParty_[victim->getPlayer()] == chaser)||(playerParty_[victim->getPlayer()] == killer &&
         playerParty_[originator->getPlayer()] == chaser ))
         {
-            if (playerParty_[originator->getPlayer()] == killer)	//reward the killer
+            if (playerParty_[originator->getPlayer()] == killer) //reward the killer
             {
                 std::map<PlayerInfo*, Player>::iterator it = this->players_.find(originator->getPlayer());
                 if (it != this->players_.end())
                 {
-                    it->second.frags_+=20;	//value must be tested
+                    it->second.frags_+=20; //value must be tested
                 }
             }
@@ -315,11 +315,11 @@
         else return false;
     }
-    
+
     void Dynamicmatch::playerStartsControllingPawn(PlayerInfo* player, Pawn* pawn) //set party + colouring
     {
         if (!player)
             return;
-	
-        Dynamicmatch::setPlayerColour(player);	//Set playercolour
+
+        Dynamicmatch::setPlayerColour(player); //Set playercolour
         evaluatePlayerParties();
     }
@@ -329,5 +329,5 @@
         if (!player)// only for safety
             return;
-        playerParty_[player]=chaser;		//Set playerparty
+        playerParty_[player]=chaser; //Set playerparty
         numberOf[chaser]++;
         Gametype::playerEntered(player);
@@ -351,7 +351,7 @@
             COUT(0) << message << std::endl;
             Host::Broadcast(message);
-		//remove player from map
+            //remove player from map
             playerParty_.erase (player);
-		//adjust player parties
+            //adjust player parties
             evaluatePlayerParties();
         }
@@ -376,7 +376,7 @@
             {
                 this->gameEnded_ = true;
-                this->end();        
-            }
-	    if ( gameTime_ <= timesequence_ && gameTime_ > 0)
+                this->end();
+            }
+            if ( gameTime_ <= timesequence_ && gameTime_ > 0)
             {
                 const std::string& message = multi_cast<std::string>(timesequence_) + " seconds left!";
@@ -397,5 +397,5 @@
                 }
             }
-	}
+        }
     }
 
@@ -433,5 +433,5 @@
                 }
             }
-	}
+    }
 
     void Dynamicmatch::evaluatePlayerParties() //manages the notEnough booleans (here the percentage of special players is implemented)
@@ -483,5 +483,5 @@
                        }
                   }
-                  
+
              }
         }
@@ -532,7 +532,7 @@
                        }
                   }
-                  
+
              }
-            
+
         }
         //chasers: there are more chasers than killers + pigs
@@ -582,7 +582,7 @@
                        }
                   }
-                  
+
              }
-        }	
+        }
     }
 
@@ -614,6 +614,6 @@
     }
 
-    void Dynamicmatch::start() 
-    {	
+    void Dynamicmatch::start()
+    {
         Gametype::start();
         if(!tutorial)
@@ -632,5 +632,5 @@
             }
         }
-    }	
+    }
 
     /*void Dynamicmatch::instructions()
Index: code/branches/presentation3/src/orxonox/gametypes/Dynamicmatch.h
===================================================================
--- code/branches/presentation3/src/orxonox/gametypes/Dynamicmatch.h	(revision 7075)
+++ code/branches/presentation3/src/orxonox/gametypes/Dynamicmatch.h	(revision 7076)
@@ -43,10 +43,10 @@
             Dynamicmatch(BaseObject* creator);
             virtual ~Dynamicmatch() {}
-		
+
             bool notEnoughPigs;
             bool notEnoughKillers;
             bool notEnoughChasers;
 
-            //three different parties	
+            //three different parties
             int chaser;
             int piggy;
@@ -57,8 +57,8 @@
             void setPlayerColour(PlayerInfo* player);//own function
             void setConfigValues();//done
-            
+
             bool friendlyfire; //goal: player can switch it on/off
             bool tutorial; //goal: new players recieve messages how the new gametype works - later it can be switched off.
-            
+
             virtual bool allowPawnDamage(Pawn* victim, Pawn* originator = 0); //ok - score function and management of parties
             virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = 0); //ok - simple
@@ -69,12 +69,12 @@
             virtual bool playerLeft(PlayerInfo* player);
             virtual bool playerChangedName(PlayerInfo* player);//unchanged
-            
+
             /*virtual void instructions();
             virtual void furtherInstructions();*/
             virtual void rewardPig();
-            void resetSpeedFactor(WeakPtr<Engine>* ptr);  
+            void resetSpeedFactor(WeakPtr<Engine>* ptr);
             void tick (float dt);// used to end the game
             SpawnPoint* getBestSpawnPoint(PlayerInfo* player) const;
-            
+
         protected:
 