Index: /trunk/src/lib/network/network_game_manager.cc
===================================================================
--- /trunk/src/lib/network/network_game_manager.cc	(revision 7077)
+++ /trunk/src/lib/network/network_game_manager.cc	(revision 7078)
@@ -560,5 +560,6 @@
         ss->loadModel("models/ships/reap_0.obj");
         ss->toList(OM_GROUP_00);
-        ss->setAbsCoor(-314.450, 40.701, 83.554);
+        ss->setAbsCoor(213.37, 57.71, -47.98);
+        ss->setAbsDir(Quaternion(0.16, 0.98, -0.10));
       }
       else
@@ -566,6 +567,6 @@
         ss->loadModel( "models/ships/fighter.obj" );
         ss->toList(OM_GROUP_01);
-        ss->setAbsCoor(213.37, 57.71, -47.98);
-        ss->setAbsDir(Quaternion(0.16, 0.98, -0.10));      }
+        ss->setAbsCoor(-314.450, 40.701, 83.554);
+      }
     }
 
Index: /trunk/src/story_entities/game_world.cc
===================================================================
--- /trunk/src/story_entities/game_world.cc	(revision 7077)
+++ /trunk/src/story_entities/game_world.cc	(revision 7078)
@@ -385,4 +385,6 @@
   CDEngine::getInstance()->checkCollisions(this->dataTank->objectManager->getObjectList(OM_GROUP_01),
       this->dataTank->objectManager->getObjectList(OM_GROUP_00_PROJ));
+  CDEngine::getInstance()->checkCollisions(this->dataTank->objectManager->getObjectList(OM_GROUP_00),
+  this->dataTank->objectManager->getObjectList(OM_GROUP_01));
 
   CDEngine::getInstance()->checkCollisions(this->dataTank->objectManager->getObjectList(OM_GROUP_01),
Index: /trunk/src/story_entities/multi_player_world_data.cc
===================================================================
--- /trunk/src/story_entities/multi_player_world_data.cc	(revision 7077)
+++ /trunk/src/story_entities/multi_player_world_data.cc	(revision 7078)
@@ -212,5 +212,5 @@
         playable = dynamic_cast<Playable*>(playableList->front());
         this->localPlayer->setPlayable(playable);
-        playable->toList(OM_GROUP_01);
+        playable->toList(OM_GROUP_00);
         playable->setAbsCoor(213.37, 57.71, -47.98);
         playable->setAbsDir(Quaternion(0.16, 0.98, -0.10));
Index: /trunk/src/world_entities/creatures/md2_creature.cc
===================================================================
--- /trunk/src/world_entities/creatures/md2_creature.cc	(revision 7077)
+++ /trunk/src/world_entities/creatures/md2_creature.cc	(revision 7078)
@@ -64,5 +64,5 @@
 
   this->loadParams(doc.RootElement());
-  this->toList(OM_GROUP_03);
+  this->toList(OM_GROUP_01);
 }
 
Index: /trunk/src/world_entities/playable.cc
===================================================================
--- /trunk/src/world_entities/playable.cc	(revision 7077)
+++ /trunk/src/world_entities/playable.cc	(revision 7078)
@@ -163,15 +163,16 @@
   if (State::isOnline())
   {
-  if( this == State::getPlayer()->getPlayable())
-    State::getGameRules()->onPlayerDeath();
-
-  this->toList(OM_DEAD);
-  //.HACK: moves the entity to an unknown place far far away: in the future, GameRules will look for that
-  this->setAbsCoor(-2000.0, -2000.0, -2000.0);
+    if( this == State::getPlayer()->getPlayable())
+      State::getGameRules()->onPlayerDeath();
+
+
+    this->toList(OM_DEAD);
+  //HACK: moves the entity to an unknown place far far away: in the future, GameRules will look for that
+    this->setAbsCoor(-2000.0, -2000.0, -2000.0);
 
   //explosion hack
-  this->emitter->setSystem(explosionParticles);
-  this->setAbsCoor(0, 0, 0);
-  this->emitter->setSystem(NULL);
+    this->emitter->setSystem(explosionParticles);
+    this->setAbsCoor(0, 0, 0);
+    this->emitter->setSystem(NULL);
   }
 }
Index: /trunk/src/world_entities/test_entity.cc
===================================================================
--- /trunk/src/world_entities/test_entity.cc	(revision 7077)
+++ /trunk/src/world_entities/test_entity.cc	(revision 7078)
@@ -58,5 +58,5 @@
 {
   this->setClassID(CL_TEST_ENTITY, "TestEntity");
-  this->toList(OM_COMMON);
+  this->toList(OM_GROUP_00);
 }
 